Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# MutableIteratorAdaptorConcept Struct Template Reference
[IteratorAdaptorConcept]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename Iterator>
struct boost::gil::MutableIteratorAdaptorConcept< Iterator >

Iterator adaptor that is mutable.

    concept MutableIteratorAdaptorConcept<Mutable_ForwardIteratorConcept Iterator> : IteratorAdaptorConcept<Iterator> {};

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp